#!/bin/bash

set -eu

streamEditor=$([[ $(uname -s) == "Linux" ]] && echo sed || echo gsed)

# generates Cozy sprites

outfileCozy="react/Icon/icons-sprite.js"

iconsCozy="$(ls assets/icons/*/*.svg | grep -v 'assets/icons/twake/' | sort -d)"

echo "Making icon sprite, output file : ${outfileCozy}..."
echo $iconsCozy | xargs yarn svgstore --inline -o /tmp/icons-sprite.svg
echo "// GENERATED FILE, DO NOT EDIT THIS FILE BY HAND" > $outfileCozy
echo "// Use yarn sprite to regenerate" >> $outfileCozy
echo "export default \``cat /tmp/icons-sprite.svg`\`" >> $outfileCozy

# generates Twake sprites

outfile="react/Icon/icons-sprite-twake.js"

icons="$(find assets/icons/twake -type f -name '*.svg' | sort -d)"

echo "Making icon sprite, output file : ${outfile}..."
echo $icons | xargs yarn svgstore --inline -o /tmp/icons-sprite-twake.svg
# Edit IDs to remove "_twake" suffixe
$streamEditor -i 's/id="\([^"]*\)_twake"/id="\1"/g' /tmp/icons-sprite-twake.svg
echo "// GENERATED FILE, DO NOT EDIT THIS FILE BY HAND" > $outfile
echo "// Use yarn sprite to regenerate" >> $outfile
echo "export default \``cat /tmp/icons-sprite-twake.svg`\`" >> $outfile