var en = {
  viewInContacts: "View in Cozy Contacts",
  viewInDrive: "Open",
  modify: "Modify",
  emailTo: "Send an email",
  smsTo: "Send a message",
  print: "Print",
  download: "Download",
  favorites: {
    add: {
      label: "Add to favorites",
      success: "%{filename} has been added to favorites |||| These items have been added to favorites"
    },
    remove: {
      label: "Remove from favorites",
      success: "%{filename} has been removed from favorites |||| These items have been removed from favorites"
    },
    error: "An error occurred, please try again."
  },
  others: "Others",
  editAttribute: "Edit attribute",
  copyToClipboard: {
    copy: "Copy",
    success: "Copied to clipboard",
    error: "Cannot copy to clipboard"
  },
  call: "Call"
};
var fr = {
  viewInContacts: "Voir dans Cozy Contacts",
  viewInDrive: "Ouvrir",
  modify: "Modifier",
  emailTo: "Envoyer un e-mail",
  smsTo: "Envoyer un message",
  print: "Imprimer",
  download: "T\xE9l\xE9charger",
  favorites: {
    add: {
      label: "Ajouter aux favoris",
      success: "%{filename} a \xE9t\xE9 ajout\xE9 aux favoris |||| Ces \xE9l\xE9ments ont \xE9t\xE9 ajout\xE9s aux favoris"
    },
    remove: {
      label: "Retirer des favoris",
      success: "%{filename} a \xE9t\xE9 retir\xE9 des favoris |||| Ces \xE9l\xE9ments ont \xE9t\xE9 retir\xE9s des favoris"
    },
    error: "Une erreur est survenue, merci de r\xE9essayer."
  },
  others: "Autres",
  editAttribute: "Editer l'attribut",
  copyToClipboard: {
    copy: "Copier",
    success: "Copi\xE9 dans le presse-papier",
    error: "Impossible de copier dans le presse-papier"
  },
  call: "Appeler"
};
import { getI18n } from "cozy-ui/transpiled/react/providers/I18n/helpers";
import withOnlyLocales from "cozy-ui/transpiled/react/providers/I18n/withOnlyLocales";
export var locales = {
  en: en,
  fr: fr
};
export var getActionsI18n = function getActionsI18n() {
  return getI18n(undefined, function (lang) {
    return locales[lang];
  });
};
export default withOnlyLocales(locales);