import _toConsumableArray from "@babel/runtime/helpers/toConsumableArray";
import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["className", "color", "size", "border", "innerBorder", "disabled"];
import AvatarMui from '@material-ui/core/Avatar';
import cx from 'classnames';
import PropTypes from 'prop-types';
import React from 'react';
import { colorMapping, supportedColors, nameToColor } from "cozy-ui/transpiled/react/Avatar/helpers";
import { makeStyles } from "cozy-ui/transpiled/react/styles";
var useStyles = makeStyles(function (theme) {
  return {
    colorDefault: {
      color: function color(_ref) {
        var _color = _ref.color;
        return _color ? theme.palette.primary.contrastText : '';
      },
      background: function background(_ref2) {
        var color = _ref2.color;
        return colorMapping[color];
      }
    }
  };
});

var Avatar = function Avatar(_ref3) {
  var className = _ref3.className,
      color = _ref3.color,
      size = _ref3.size,
      border = _ref3.border,
      innerBorder = _ref3.innerBorder,
      disabled = _ref3.disabled,
      props = _objectWithoutProperties(_ref3, _excluded);

  var defaultColor = typeof props.children === 'string' ? nameToColor(props.children) : undefined;
  var classes = useStyles({
    color: color === 'none' ? undefined : supportedColors.includes(color) ? color : defaultColor
  });
  return /*#__PURE__*/React.createElement(AvatarMui, _extends({
    classes: classes,
    className: cx(className, "size-".concat(size), {
      disabled: !!disabled,
      border: !!border,
      innerBorder: !!innerBorder
    })
  }, props));
};

Avatar.propTypes = {
  className: PropTypes.string,
  size: PropTypes.oneOfType([PropTypes.oneOf(['xs', 's', 'm', 'l', 'xl']), PropTypes.number]),
  color: PropTypes.oneOf([].concat(_toConsumableArray(supportedColors), ['none'])),
  disabled: PropTypes.bool
};
Avatar.defaultProps = {
  size: 'm'
};
export default Avatar;