import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/ui/permissions/bug-report.svg` to regenerate
import React from 'react';
import SvgBugReportTwake from "cozy-ui/transpiled/react/Icons/BugReport_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgBugReport(props) {
  if (isTwakeTheme()) return SvgBugReportTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 48 48",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M0 2.996A2.992 2.992 0 013.003 0h41.994A3 3 0 0148 2.996v33.008A3.006 3.006 0 0145.009 39H27L9 48v-9H3c-1.657 0-3-1.343-3-2.995V2.995z",
    fill: "#D6D8DA"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M24 7a2.807 2.807 0 00-2.8 2.993l.667 10.011a2.138 2.138 0 004.266 0l.667-10.01A2.807 2.807 0 0024 7zm-3 21a3 3 0 116 0 3 3 0 01-6 0z",
    fill: "#5D6165"
  }));
}

export default SvgBugReport;