import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/illus/contacts.svg` to regenerate;
import React from 'react';
import SvgContactsTwake from "cozy-ui/transpiled/react/Icons/Contacts_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgContacts(props) {
  if (isTwakeTheme()) return SvgContactsTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 32 32",
    fill: "none"
  }, props), /*#__PURE__*/React.createElement("g", {
    fillRule: "evenodd",
    clipRule: "evenodd"
  }, /*#__PURE__*/React.createElement("path", {
    d: "M32 25.995A1.997 1.997 0 0130.002 28H24v-2.499c0-.829-.666-1.5-1.5-1.5-.829 0-1.5.678-1.5 1.5v2.5H11v-2.5c0-.829-.666-1.5-1.5-1.5-.829 0-1.5.678-1.5 1.5v2.5H1.998A2.002 2.002 0 010 25.994V6.005C0 4.897.889 4 2.001 4h27.997C31.104 4 32 4.897 32 6.005v19.99z",
    fill: "#FFD799"
  }), /*#__PURE__*/React.createElement("path", {
    d: "M12 15.5c1.5 0 3 2.25 3 3l-.004.393c-.02.598-.128 1.107-.746 1.107H3.75C3 20 3 19.25 3 18.5s1.5-3 3-3 .75.75 3 .75 1.5-.75 3-.75zM28 18v1H17v-1h11zm0-3v1H17v-1h11zM9 8c1.657 0 3 1.511 3 3.375s-1.343 3.375-3 3.375-3-1.51-3-3.375C6 9.511 7.343 8 9 8zm19 4v1H17v-1h11zm-5-3v1h-6V9h6z",
    fill: "#FF9300"
  })));
}

export default SvgContacts;