import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/illus/device-tablet.svg` to regenerate
import React from 'react';
import SvgDeviceTabletTwake from "cozy-ui/transpiled/react/Icons/DeviceTablet_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgDeviceTablet(props) {
  if (isTwakeTheme()) return SvgDeviceTabletTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 32 32"
  }, props), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd",
    transform: "translate(4)"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 24,
    height: 32,
    fill: "#32363F",
    rx: 2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5D6165",
    d: "M2 3h20v26H2z"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#95999D",
    fillRule: "nonzero",
    d: "M10 31.001a.5.5 0 110-1L14 30a.5.5 0 010 1l-4 .001zm1.5-29.5a.5.5 0 111 0 .5.5 0 01-1 0z"
  })));
}

export default SvgDeviceTablet;