import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/ui/electric-scooter.svg` to regenerate
import React from 'react';
import SvgElectricScooterTwake from "cozy-ui/transpiled/react/Icons/ElectricScooter_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgElectricScooter(props) {
  if (isTwakeTheme()) return SvgElectricScooterTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 16 16"
  }, props), /*#__PURE__*/React.createElement("path", {
    d: "M4.736.17c.018-.053-.012-.11-.075-.143-.088-.046-.212-.032-.276.03L.115 4.15A.345.345 0 000 4.398c0 .232.265.42.593.42h1.592l-.658 3.021c-.011.053.021.106.084.137.09.043.213.027.274-.037l4.011-4.142A.34.34 0 006 3.561c0-.231-.265-.419-.593-.419H3.765L4.736.171z"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M8 1a1 1 0 011-1h2.22a2 2 0 011.94 1.515l1.81 7.242A1 1 0 0114 10h-.5a3.5 3.5 0 00-3.465 4H4.95a2.5 2.5 0 11-.45-2h3.707a5.506 5.506 0 014.525-3.947L11.22 2H9a1 1 0 01-1-1zM3 13.5a.5.5 0 11-1 0 .5.5 0 011 0z"
  }), /*#__PURE__*/React.createElement("path", {
    fillRule: "evenodd",
    clipRule: "evenodd",
    d: "M16 13.5a2.5 2.5 0 11-5 0 2.5 2.5 0 015 0zm-2 0a.5.5 0 11-1 0 .5.5 0 011 0z"
  }));
}

export default SvgElectricScooter;