import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/ui/permissions/family.svg` to regenerate
import React from 'react';
import SvgFamilyTwake from "cozy-ui/transpiled/react/Icons/Family_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgFamily(props) {
  if (isTwakeTheme()) return SvgFamilyTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 48 48"
  }, props), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "family_svg__a",
    d: "M46 23c0 12.704-10.298 23-23 23C10.296 46 0 35.704 0 23 0 10.3 10.296 0 23 0c12.702 0 23 10.3 23 23z"
  })), /*#__PURE__*/React.createElement("g", {
    transform: "translate(1 1)",
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "family_svg__b",
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#family_svg__a"
  })), /*#__PURE__*/React.createElement("use", {
    fill: "#d6d8da",
    xlinkHref: "#family_svg__a"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5d6165",
    d: "M9 25a6 6 0 016 6v16H3V31a6 6 0 016-6zm0-2a6 6 0 110-12 6 6 0 010 12zm28 0a6 6 0 110-12 6 6 0 010 12zm-14 8a6 6 0 110-12 6 6 0 010 12zm14-6a6 6 0 016 6v16H31V31a6 6 0 016-6zm-14 8a6 6 0 016 6v8H17v-8a6 6 0 016-6z",
    mask: "url(#family_svg__b)"
  })));
}

export default SvgFamily;