import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/ui/hourglass.svg` to regenerate
import React from 'react';
import SvgHourglassTwake from "cozy-ui/transpiled/react/Icons/Hourglass_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgHourglass(props) {
  if (isTwakeTheme()) return SvgHourglassTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 16 16"
  }, props), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "hourglass_svg__a",
    d: "M4.5 13c0-.547.34-1.291.76-1.651L8 9l2.74 2.349c.424.363.76 1.098.76 1.651h-7zm7-10c0 .547-.34 1.292-.76 1.651L10.334 5H5.667l-.407-.349C4.836 4.288 4.5 3.552 4.5 3h7zM13 13c0-.557-.316-1.316-.706-1.706L9 8l3.294-3.294c.39-.39.706-1.15.706-1.706V2c.55 0 1-.444 1-1 0-.552-.456-1-1.002-1H3.003a1 1 0 100 2L3 3c0 .552.313 1.312.706 1.706L7 8l-3.294 3.294C3.313 11.688 3 12.447 3 13v1a1 1 0 10.003 2h9.995c.546 0 1.002-.447 1.002-1 0-.557-.45-1-1.002-1L13 13z"
  })), /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#hourglass_svg__a",
    fillRule: "evenodd"
  }));
}

export default SvgHourglass;