import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/ui/permissions/photos-album.svg` to regenerate
import React from 'react';
import SvgPhotosAlbumTwake from "cozy-ui/transpiled/react/Icons/PhotosAlbum_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgPhotosAlbum(props) {
  if (isTwakeTheme()) return SvgPhotosAlbumTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 48 48"
  }, props), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "photos-album_svg__a",
    d: "M0 0h32v26H0V0zm0 0v20h23a3 3 0 003-3V0H0z"
  }), /*#__PURE__*/React.createElement("path", {
    id: "photos-album_svg__c",
    d: "M0 0h32v26H0V0zm0 0v20h23a3 3 0 003-3V0H0z"
  })), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("g", {
    transform: "translate(8 11)"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "photos-album_svg__b",
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#photos-album_svg__a"
  })), /*#__PURE__*/React.createElement("rect", {
    width: 32,
    height: 26,
    fill: "#d6d8da",
    mask: "url(#photos-album_svg__b)",
    rx: 2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5d6165",
    d: "M0 20l6.29-6.29a.999.999 0 011.416-.004L11 17l8.294-8.294a1.003 1.003 0 011.412 0L32 20v4.002C32 25.106 31.11 26 29.998 26H2.002A2.002 2.002 0 010 24.002V20z",
    mask: "url(#photos-album_svg__b)"
  })), /*#__PURE__*/React.createElement("g", {
    transform: "translate(16 19)"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "photos-album_svg__d",
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#photos-album_svg__c"
  })), /*#__PURE__*/React.createElement("rect", {
    width: 32,
    height: 26,
    fill: "#d6d8da",
    mask: "url(#photos-album_svg__d)",
    rx: 2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5d6165",
    d: "M0 20l6.29-6.29a.999.999 0 011.416-.004L11 17l8.294-8.294a1.003 1.003 0 011.412 0L32 20v4.002C32 25.106 31.11 26 29.998 26H2.002A2.002 2.002 0 010 24.002V20z",
    mask: "url(#photos-album_svg__d)"
  })), /*#__PURE__*/React.createElement("g", {
    transform: "translate(0 3)"
  }, /*#__PURE__*/React.createElement("rect", {
    width: 32,
    height: 26,
    fill: "#d6d8da",
    rx: 2
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5d6165",
    d: "M0 20l6.29-6.29a.999.999 0 011.416-.004L11 17l8.294-8.294a1.003 1.003 0 011.412 0L32 20v4.002C32 25.106 31.11 26 29.998 26H2.002A2.002 2.002 0 010 24.002V20z"
  }), /*#__PURE__*/React.createElement("circle", {
    cx: 8,
    cy: 7,
    r: 3,
    fill: "#FFF"
  }), /*#__PURE__*/React.createElement("path", {
    stroke: "#d6d8da",
    strokeLinecap: "round",
    strokeLinejoin: "round",
    d: "M11 16l-5.5 5.5L11 16z"
  }))));
}

export default SvgPhotosAlbum;