import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/ui/permissions/profile.svg` to regenerate
import React from 'react';
import SvgProfileTwake from "cozy-ui/transpiled/react/Icons/Profile_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgProfile(props) {
  if (isTwakeTheme()) return SvgProfileTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 48 48"
  }, props), /*#__PURE__*/React.createElement("defs", null, /*#__PURE__*/React.createElement("path", {
    id: "profile_svg__a",
    d: "M46 23c0 12.704-10.298 23-23 23C10.296 46 0 35.704 0 23 0 10.3 10.296 0 23 0c12.702 0 23 10.3 23 23z"
  })), /*#__PURE__*/React.createElement("g", {
    transform: "translate(1 1)",
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("mask", {
    id: "profile_svg__b",
    fill: "#fff"
  }, /*#__PURE__*/React.createElement("use", {
    xlinkHref: "#profile_svg__a"
  })), /*#__PURE__*/React.createElement("use", {
    fill: "#d6d8da",
    xlinkHref: "#profile_svg__a"
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#5d6165",
    d: "M23 27c-5.523 0-10-4.701-10-10.5S17.477 6 23 6s10 4.701 10 10.5S28.523 27 23 27zm0 38c-9.941 0-18-8.059-18-18s8.059-18 18-18 18 8.059 18 18-8.059 18-18 18z",
    mask: "url(#profile_svg__b)"
  })));
}

export default SvgProfile;