import _extends from "@babel/runtime/helpers/extends";
// Automatically created, please run `scripts/generate-svgr-icon.sh assets/icons/ui/permissions/triggers.svg` to regenerate
import React from 'react';
import SvgTriggersTwake from "cozy-ui/transpiled/react/Icons/Triggers_twake";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";

function SvgTriggers(props) {
  if (isTwakeTheme()) return SvgTriggersTwake(props);
  return /*#__PURE__*/React.createElement("svg", _extends({
    viewBox: "0 0 48 48"
  }, props), /*#__PURE__*/React.createElement("g", {
    fill: "none",
    fillRule: "evenodd"
  }, /*#__PURE__*/React.createElement("ellipse", {
    cx: 24,
    cy: 24.5,
    fill: "#5d6165",
    rx: 18,
    ry: 18.5
  }), /*#__PURE__*/React.createElement("path", {
    fill: "#d6d8da",
    d: "M42 0c3.308 0 6 2.692 6 6v36c0 3.308-2.692 6-6 6H6c-3.308 0-6-2.692-6-6V6c0-3.308 2.692-6 6-6h36zM24 40c8.822 0 16-7.178 16-16S32.822 8 24 8 8 15.178 8 24s7.178 16 16 16zm6-16a1 1 0 010 2h-8V14a1 1 0 012 0v10h6z"
  })));
}

export default SvgTriggers;