import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["classes"];
import cx from 'classnames';
import React from 'react';
import Badge from "cozy-ui/transpiled/react/Badge";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";
import { makeStyles } from "cozy-ui/transpiled/react/styles";
var useStyles = makeStyles({
  qualifier: {
    height: isTwakeTheme() ? '24px' : '1.125rem',
    // compensation of the specific border size
    minWidth: isTwakeTheme() ? '24px' : '1.125rem',
    backgroundColor: 'var(--paperBackgroundColor)',
    color: 'var(--iconTextColor)',
    border: isTwakeTheme() ? undefined : '1px solid var(--borderMainColor)',
    boxShadow: isTwakeTheme() ? 'var(--shadow3)' : undefined
  }
});

var InfosBadge = function InfosBadge(_ref) {
  var classes = _ref.classes,
      props = _objectWithoutProperties(_ref, _excluded);

  var _classes = useStyles();

  return /*#__PURE__*/React.createElement(Badge, _extends({
    classes: {
      badge: cx(_classes.qualifier, classes)
    },
    anchorOrigin: {
      vertical: 'bottom',
      horizontal: 'right'
    }
  }, props));
};

export default InfosBadge;