import { colorMapping } from "cozy-ui/transpiled/react/Avatar/helpers";
import { isTwakeTheme } from "cozy-ui/transpiled/react/helpers/isTwakeTheme";
import palette from "cozy-ui/transpiled/react/palette";

var makeKey = function makeKey(colors, name) {
  return Array.from(name.toUpperCase()).map(function (letter) {
    return letter.charCodeAt(0);
  }).reduce(function (sum, number) {
    return sum + number;
  }, 0) % colors.length;
};

var colors = [palette['azure'], palette['melon'], palette['blazeOrange'], palette['pomegranate'], palette['mango'], palette['pumpkinOrange'], palette['darkPeriwinkle'], palette['purpley'], palette['lightishPurple'], palette['weirdGreen'], palette['puertoRico'], palette['emerald'], palette['seafoamGreen'], palette['lavender'], palette['brightSun'], palette['fuchsia']];
var twakeColors = Object.values(colorMapping).filter(Boolean);
/**
 * @param {string} name
 * @returns {string}
 */

export var nameToColor = function nameToColor() {
  var name = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

  var _colors = isTwakeTheme() ? twakeColors : colors;

  var key = makeKey(_colors, name);
  return _colors[key];
};